List billing accounts
curl --request GET \
--url https://charts.basedash.com/api/public/billing-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://charts.basedash.com/api/public/billing-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://charts.basedash.com/api/public/billing-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"ownerOrganizationId": "<string>",
"subscriptionStatus": "<string>",
"platformFeeWaived": true,
"aiUsageIncludedCreditsCents": 123,
"allowOnDemandAiUsage": true,
"aiUsageOverageLimitCents": 123,
"billingPeriodStart": "<string>",
"billingPeriodEnd": "<string>",
"organizationCount": 123,
"createdAt": "<string>"
}
]
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}Billing accounts
List billing accounts
Lists billing accounts managed by the authenticated user (accounts whose owner organization the user administers). Billing accounts are created by Basedash — contact support to set one up.
GET
/
api
/
public
/
billing-accounts
List billing accounts
Was this page helpful?
⌘I